#------------------------------------------------------------------------------
# newfax.sh - process received faxes
#
# Creation:     06.03.2002  nw
# Last Update:  31.10.2003  t_klingl
#
#------------------------------------------------------------------------------

echo $1

. /etc/rc.cfg

#--------------------------
# t_klingl 2003-10-12
#--------------------------
# cat $1 | gzip >$1.sff.gz
# rm $1
#--------------------------
# end t_klingl 2003-10-12
#--------------------------

if [ "$FAXRCV_DIRECTORY" != "" ]
then
        SENDER=`echo $1 | cut -c 14-`
        PAGES=`echo $1 | cut -c 3-5 | sed 's/^[0]*//'`
        if [ "$SENDER" = "" ] ; then
            SENDER="?"
        fi
        LANGDATUM=`/bin/date +%d.%m.%y`
        LANGZEIT=`/bin/date +%H:%M:%S`
        echo $LANGDATUM $LANGZEIT $SENDER $PAGES $1.sff >> $FAXRCV_DIRECTORY/mfax.log
fi

#--------------------------
# t_klingl 2003-10-12
#--------------------------
"${FAXRCV_NTFYCMD}" "${FAXRCV_DIRECTORY}/${1}"

cat $1 | gzip >$1.sff.gz
rm $1
#--------------------------
# end t_klingl 2003-10-12
#--------------------------
